Bug 5386 - Log files filled up disk
Log files filled up disk
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.28a
x86 Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 23:33 UTC by Bill Iglesias
Modified: 2008-04-11 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Iglesias 2008-04-10 23:33:31 UTC
I am using GNOME (2.22.0 Debian) and I used the Network Settings GUI to change my IP address from 192.168.0.100 to 192.168.1.100.  I do not believe I changed anything else, including the gateway address.  I was attempting to communicate with a network device I had connected to my LAN.  I was sharing some files with a Windows XP computer on the network.  
I believe the above was the cause.  A few moments later I noticed that the system was very slow and that the hard drive was continually active.  Eventually I ran out of space.  I noticed that many log files had become very large and I found the following repetitive entries (1000s of them):
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
...
...
...
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:04:11, 0] nmbd/nmbd.c:reload_interfaces(239)
  reload_interfaces: No subnets to listen to. Waiting..
[2008/04/10 22:06:52, 0] nsswitch/winbindd_cache.c:initialize_winbindd_cache(2222)
  initialize_winbindd_cache: clearing cache and re-creating with version number 1

I hope this helps to find the problem.  Some of the log files which were very large were samba.log, daemon.log, syslog, log.nmbd.

Good luck!
Comment 1 Jeremy Allison 2008-04-11 21:00:24 UTC
Fixed for 3.0.28b and 3.2. Check out the git trees to test.
Jeremy.